<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Impuestos Locales Generación
	:: By Victor Manuel Vargas Mosqueda :: 
	Ultimoa modificación por DHT. Se agregaron a las funciones de Java el manejo de dos varables para poder obtener solo 2 decimales en la salida-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:Comprobante="http://www.sat.gob.mx/cfd/2" xmlns:implocal="http://www.sat.gob.mx/implocal">
	<!--xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/-->
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<script language="javascript">
				var TotRet = 0;
				var TotTras = 0;
				var primTotRet="";
				var numpos = 0;
				var tamCad=0;
				var valida=0;
				function SumaRet(sImpRet)
				{
					TotRet += sImpRet;
				}
				function TotalRet()
				{
					primTotRet=""+TotRet;
					numpos = primTotRet.indexOf(".")+1;
				    tamCad=0+primTotRet.length;
					valida=tamCad-numpos;
					if(valida &lt;= 7){
					document.write(primTotRet);}
					else{document.write(primTotRet.substring(0,numpos+2));}
				}
				function SumaTras(sImpTras)
				{
					TotTras += sImpTras;
				}
				function TotalTras()
				{
					primTotTras=""+TotTras;
					numpos = primTotTras.indexOf(".")+1;
					tamCad=primTotTras.length;
					valida=tamCad-numpos;
					if(valida &lt;= 7){
					document.write(primTotTras);}
					else{document.write(primTotTras.substring(0,numpos+2));}
				}
				
		</script>
		<!-- Iniciamos el tratamiento de los campos de impuestos locales -->
		<xsl:text>&lt;?xml version="1.0" encoding="UTF-8"?&gt;</xsl:text><br/>
		<xsl:text>&lt;implocal:Complemento xmlns:implocal="http://www.sat.gob.mx/implocal"&gt;</xsl:text><br/>
			<xsl:variable name="no_imps" select="count(Datos/Documento/Partidas/Partida[@Tipo='I'])"/>
			<xsl:choose>
				<xsl:when test="$no_imps &gt; 0">
					<xsl:text>&lt;implocal:ImpuestosLocales version="1.0" </xsl:text>
					<xsl:for-each select="Datos/Documento/Partidas/Partida[@Tipo='I']"><!-- Totaliza Retenidos -->
						<xsl:if test="@ImpTotal &lt; 0">
							<script>SumaRet(<xsl:value-of select="(@ImpTotal * -1.00)"/>)</script>
						</xsl:if>
					</xsl:for-each>
					<xsl:text>TotaldeRetenciones="</xsl:text>
						<script>TotalRet()</script>
					<xsl:text>" </xsl:text>
					<xsl:for-each select="Datos/Documento/Partidas/Partida[@Tipo='I']"><!-- Totaliza Trasladados -->
						<xsl:if test="@ImpTotal &gt; 0">
							<script>SumaTras(<xsl:value-of select="@ImpTotal"/>)</script>
						</xsl:if>
					</xsl:for-each>
					<xsl:text>TotaldeTraslados="</xsl:text>
						<script>TotalTras()</script>
					<xsl:text>"&gt;</xsl:text><br/>
					<xsl:for-each select="Datos/Documento/Partidas/Partida[@Tipo='I']"><!-- Despliega Retenidos -->
						<xsl:if test="@ImpTotal &lt; 0">
							<xsl:text>&lt;implocal:RetencionesLocales ImpLocRetenido="</xsl:text>
								<xsl:value-of select="@NombreImpuesto"/>
							<xsl:text>" TasadeRetencion="</xsl:text>
								<xsl:value-of select="@PorcentajeImpuesto"/>
							<xsl:text>" Importe="</xsl:text>
								<xsl:value-of select="(@ImpTotal * -1.00)"/>
							<xsl:text>"/&gt;</xsl:text><br/>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="Datos/Documento/Partidas/Partida[@Tipo='I']"><!-- Despliega Trasladados -->
						<xsl:if test="@ImpTotal &gt; 0">
							<xsl:text>&lt;implocal:TrasladosLocales ImpLocTrasladado="</xsl:text>
								<xsl:value-of select="@NombreImpuesto"/>
							<xsl:text>" TasadeTraslado="</xsl:text>
								<xsl:value-of select="@PorcentajeImpuesto"/>
							<xsl:text>" Importe="</xsl:text>
								<xsl:value-of select="@ImpTotal"/>
							<xsl:text>"/&gt;</xsl:text><br/>
						</xsl:if>
					</xsl:for-each>
					<xsl:text>&lt;/implocal:ImpuestosLocales&gt;</xsl:text><br/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>&lt;implocal:ImpuestosLocales version="1.0" TotaldeRetenciones="0.00" TotaldeTraslados="0.00"/&gt;</xsl:text><br/>
				</xsl:otherwise>
			</xsl:choose>
		<xsl:text>&lt;/implocal:Complemento&gt;</xsl:text><br/>
	</xsl:template>
</xsl:stylesheet>