<?xml version="1.0" encoding="UTF-8"?>
<!-- Plantilla Presentacion CFD Complemento Concepto Venta Vehiculos en Texto del AdminCFDI ::
  :: By Daniel Herrera Tello 
  :: Version 1.0   :: Last Update: 10/Oct/2012
 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:Comprobante="http://www.sat.gob.mx/cfd/2" xmlns:ventavehiculos="http://www.sat.gob.mx/ventavehiculos">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="Comprobante:Concepto/Comprobante:ComplementoConcepto">
	<script language="javascript">
		  function EspaciosEnBlanco(iLongitud)
		  {
	        var sEspacio = "&#160;" + "&#160;";
	        var sCadena = sEspacio;
	        for(i=1; i &lt; iLongitud; i++)
	        {
  	          sCadena = sCadena + sEspacio;
	        }
		    document.write(sCadena)
		  }
		</script>
		<xsl:for-each select="./ventavehiculos:VentaVehiculos">
			<br/>
			COMPLEMENTO CONCEPTO VENTA DE VEHICULOS<br/>
			Versión: <xsl:value-of select="@version"/><br/>
			Clave Vehicular: <xsl:value-of select="@ClaveVehicular"/><br/>
			<xsl:for-each select="ventavehiculos:InformacionAduanera">
				Información Aduanera:<br/>
				<script>EspaciosEnBlanco(1)</script>Número: <xsl:value-of select="@numero"/><br/>
				<script>EspaciosEnBlanco(1)</script>Fecha: <xsl:value-of select="@fecha"/><br/>
				<script>EspaciosEnBlanco(1)</script>Aduana: <xsl:value-of select="@aduana"/><br/>
				<br/>
			</xsl:for-each>
			<xsl:for-each select="ventavehiculos:Parte">
				Información Parte:<br/>
				<script>EspaciosEnBlanco(1)</script>Cantidad: <xsl:value-of select="@cantidad"/><br/>
				<script>EspaciosEnBlanco(1)</script>Unidad: <xsl:value-of select="@unidad"/><br/>
				<script>EspaciosEnBlanco(1)</script>No. Identificación: <xsl:value-of select="@noIdentificacion"/><br/>
				<script>EspaciosEnBlanco(1)</script>Descripción: <xsl:value-of select="@descripcion"/><br/>
				<script>EspaciosEnBlanco(1)</script>Valor Unitario: <xsl:value-of select="format-number(@valorUnitario,'0.00')"/><br/>
				<script>EspaciosEnBlanco(1)</script>Importe: <xsl:value-of select="format-number(@importe,'0.00')"/><br/>
				<xsl:for-each select="ventavehiculos:InformacionAduanera">
					<script>EspaciosEnBlanco(1)</script>Información Aduanera de la Parte:<br/>
					<script>EspaciosEnBlanco(2)</script>Número: <xsl:value-of select="@numero"/><br/>
					<script>EspaciosEnBlanco(2)</script>Fecha: <xsl:value-of select="@fecha"/><br/>
					<script>EspaciosEnBlanco(2)</script>Aduana: <xsl:value-of select="@aduana"/><br/>
					<br/>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>  
</xsl:stylesheet>