<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Plantilla para Complemento Detallista en Texto del Admin CFD :: :: By Daro lvarez Aranda :: Version 1.0 :: Last Update: 29/Abr/2009 -->
<!-- Ultima modificacion por DHT 28/09/2011. Se modifica de 2 a 3 en la declaracion del name space xmlns:Comprobante para que aplique a CFDI -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:Comprobante="http://www.sat.gob.mx/cfd/3" xmlns:detallista="http://www.sat.gob.mx/detallista">
	<xsl:output method="html" version="1.0" encoding="iso-8859-1"/>
	<xsl:template match="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista">
		<script language="javascript"> 
		  function EspaciosEnBlanco(iLongitud)
		  {
	        var sEspacio = "&#160;" + "&#160;";
	        var sCadena = sEspacio;
	        for(i=1; i &lt; iLongitud; i++)
	        {
  	          sCadena = sCadena + sEspacio;
	        }

		    document.write(sCadena)
		  }
		  
		  function EspacioEnBlanco(iLongitud)
		  {
	        EspaciosEnBlanco(iLongitud);
		    document.write("&#160;");
		  }
		</script>
		
		<br/>
		DETALLISTA<br/>
		<script>EspaciosEnBlanco(1)</script>Tipo : <xsl:value-of select="@type"/><br/>
		<script>EspaciosEnBlanco(1)</script>Versin base : <xsl:value-of select="@contentVersion"/><br/>
		<script>EspaciosEnBlanco(1)</script>Versin : <xsl:value-of select="@documentStructureVersion"/><br/>
        <script>EspaciosEnBlanco(1)</script>Estado del documento : <xsl:value-of select="@documentStatus"/><br/>
        
        <br/>
        <script>EspaciosEnBlanco(1)</script>TRANSACCION UTILIZADA<br/>
        <script>EspaciosEnBlanco(2)</script>Tipo : <xsl:value-of select="detallista:requestForPaymentIdentification/detallista:entityType"/><br/>
        
        <xsl:if test="count(detallista:specialInstruction) > 0">        
        <br/>
        <script>EspaciosEnBlanco(1)</script>INSTRUCCIONES COMERCIALES ( <xsl:number value="count(detallista:specialInstruction)"/> )<br/>
        <xsl:for-each select="detallista:specialInstruction">
          <script>EspaciosEnBlanco(2)</script><xsl:number/>. Cdigo : <xsl:value-of select="@code"/><br/>
          <xsl:for-each select="detallista:text">
            <script>EspacioEnBlanco(3)</script>Instruccin : <xsl:value-of select="."/><br/>
          </xsl:for-each>
        </xsl:for-each>
        </xsl:if>

        <br/>
        <script>EspaciosEnBlanco(1)</script>ORDEN DE COMPRA ( <xsl:number value="count(detallista:orderIdentification/detallista:referenceIdentification)"/> )<br/>
        <script>EspaciosEnBlanco(2)</script>Fecha : <xsl:value-of select="detallista:orderIdentification/detallista:ReferenceDate"/><br/>
        <xsl:for-each select="detallista:orderIdentification/detallista:referenceIdentification">
          <script>EspaciosEnBlanco(2)</script><xsl:number/>. Tipo : <xsl:value-of select="@type"/><br/>
          <script>EspacioEnBlanco(3)</script>Nmero : <xsl:value-of select="."/><br/>
        </xsl:for-each>
        
		<br/>
		<script>EspaciosEnBlanco(1)</script>REFERENCIAS ADICIONALES ( <xsl:number value="count(detallista:AdditionalInformation/detallista:referenceIdentification)"/> )<br/>
		<xsl:for-each select="detallista:AdditionalInformation/detallista:referenceIdentification">
          <script>EspaciosEnBlanco(2)</script><xsl:number/>. Tipo : <xsl:value-of select="@type"/><br/>
          <script>EspacioEnBlanco(3)</script>Nmero : <xsl:value-of select="."/><br/>
        </xsl:for-each>
        
        <xsl:if test="count(detallista:DeliveryNote) > 0">        
        <br/>
		<script>EspaciosEnBlanco(1)</script>RECEPCION DE MERCANCIAS ( <xsl:number value="count(detallista:DeliveryNote/detallista:referenceIdentification)"/> )<br/>
		<script>EspaciosEnBlanco(2)</script>Fecha de recepcin : <xsl:value-of select="detallista:DeliveryNote/detallista:ReferenceDate"/><br/>
		<xsl:for-each select="detallista:DeliveryNote/detallista:referenceIdentification">
          <script>EspaciosEnBlanco(2)</script><xsl:number/>. Folio : <xsl:value-of select="."/><br/>
        </xsl:for-each>
        </xsl:if>
        
        <br/>
		<script>EspaciosEnBlanco(1)</script>COMPRADOR<br/>
		<script>EspaciosEnBlanco(2)</script>GLN : <xsl:value-of select="detallista:buyer/detallista:gln"/><br/>
		<xsl:if test="count(detallista:buyer/detallista:contactInformation) > 0">
		<script>EspaciosEnBlanco(2)</script>Contacto : <xsl:value-of select="detallista:buyer/detallista:contactInformation/detallista:personOrDepartmentName/detallista:text"/><br/>
        </xsl:if>
        
        <xsl:if test="count(detallista:seller) > 0">
        <br/>
		<script>EspaciosEnBlanco(1)</script>VENDEDOR<br/>
		<script>EspaciosEnBlanco(2)</script>GLN : <xsl:value-of select="detallista:seller/detallista:gln"/><br/>
		<script>EspaciosEnBlanco(2)</script>Cdigo : <xsl:value-of select="detallista:seller/detallista:alternatePartyIdentification"/><br/>
		<script>EspaciosEnBlanco(2)</script>Tipo : <xsl:value-of select="detallista:seller/detallista:alternatePartyIdentification/@type"/><br/>
		</xsl:if>

        <xsl:if test="count(detallista:shipTo) > 0">
        <br/>
		<script>EspaciosEnBlanco(1)</script>LUGAR DE ENTREGA<br/>
		<script>EspaciosEnBlanco(2)</script>GLN : <xsl:value-of select="detallista:shipTo/detallista:gln"/><br/>
        <br/>
        <!-- COMO RECORRER ESTA SECUENCIA-->
		<xsl:for-each select="detallista:shipTo/detallista:nameAndAddress">
          <script>EspaciosEnBlanco(3)</script>Razon social : <xsl:value-of select="detallista:name"/><br/>
          <script>EspaciosEnBlanco(3)</script>Direccin : <xsl:value-of select="detallista:streetAddressOne"/><br/>
          <script>EspaciosEnBlanco(3)</script>Ciudad : <xsl:value-of select="detallista:city"/><br/>
          <script>EspaciosEnBlanco(3)</script>Cdigo postal : <xsl:value-of select="detallista:postalCode"/><br/>
        </xsl:for-each>
        </xsl:if>
        
        <xsl:if test="count(detallista:InvoiceCreator) > 0">
        <br/>
		<script>EspaciosEnBlanco(1)</script>LUGAR DONDE SE CREO EL DOCUMENTO<br/>
		<script>EspaciosEnBlanco(2)</script>GLN : <xsl:value-of select="detallista:InvoiceCreator/detallista:gln"/><br/>
		<script>EspaciosEnBlanco(2)</script>Tipo : <xsl:value-of select="detallista:InvoiceCreator/detallista:alternatePartyIdentification/@type"/><br/>
		<script>EspaciosEnBlanco(2)</script>Identificacin secundaria : <xsl:value-of select="detallista:InvoiceCreator/detallista:alternatePartyIdentification"/><br/>
        <script>EspaciosEnBlanco(2)</script>Razon social : <xsl:value-of select="detallista:InvoiceCreator/detallista:nameAndAddress/detallista:name"/><br/>
        <script>EspaciosEnBlanco(2)</script>Direccin : <xsl:value-of select="detallista:InvoiceCreator/detallista:nameAndAddress/detallista:streetAddressOne"/><br/>
        <script>EspaciosEnBlanco(2)</script>Ciudad : <xsl:value-of select="detallista:InvoiceCreator/detallista:nameAndAddress/detallista:city"/><br/>
        <script>EspaciosEnBlanco(2)</script>Cdigo postal : <xsl:value-of select="detallista:InvoiceCreator/detallista:nameAndAddress/detallista:postalCode"/><br/>
        </xsl:if>
        
        <xsl:if test="count(detallista:Customs) > 0">
        <br/>
        <script>EspaciosEnBlanco(1)</script>ADUANAS ( <xsl:number value="count(detallista:Customs)"/> )<br/>        
        <xsl:for-each select="detallista:Customs">
		  <script>EspaciosEnBlanco(2)</script><xsl:number/>. GLN : <xsl:value-of select="detallista:gln"/><br/>
		</xsl:for-each>
		</xsl:if>

        <xsl:if test="count(detallista:currency) > 0">
        <br/>
		<script>EspaciosEnBlanco(1)</script>MONEDA ( <xsl:number value="count(detallista:currency)"/> )<br/>        
		<xsl:for-each select="detallista:currency">
          <script>EspaciosEnBlanco(2)</script><xsl:number/>. Cdigo : <xsl:value-of select="@currencyISOCode"/><br/>
          <script>EspacioEnBlanco(3)</script>Tasa de cambio : <xsl:value-of select="detallista:rateOfChange"/><br/>
          <xsl:for-each select="detallista:currencyFunction">
            <script>EspacioEnBlanco(3)</script>Funcin : <xsl:value-of select="."/><br/>
          </xsl:for-each>
        </xsl:for-each>
		</xsl:if>
		
        <xsl:if test="count(detallista:paymentTerms) > 0">
        <br/>
		<script>EspaciosEnBlanco(1)</script>TERMINOS DE PAGO<br/>
        <script>EspaciosEnBlanco(2)</script>Referencia del tiempo de pago : <xsl:value-of select="detallista:paymentTerms/@paymentTermsEvent"/><br/>
        <script>EspaciosEnBlanco(4)</script>Termino : <xsl:value-of select="detallista:paymentTerms/@PaymentTermsRelationTime"/><br/>
        <script>EspaciosEnBlanco(2)</script>Condiciones de pago<br/>
        <script>EspaciosEnBlanco(3)</script>Condiciones : <xsl:value-of select="detallista:paymentTerms/detallista:netPayment/@netPaymentTermsType"/><br/>		
        <script>EspaciosEnBlanco(2)</script>Periodo de pago<br/>
        <script>EspaciosEnBlanco(3)</script>Periodo : <xsl:value-of select="detallista:paymentTerms/detallista:netPayment/detallista:paymentTimePeriod/detallista:timePeriodDue/@timePeriod"/><br/>
        <script>EspaciosEnBlanco(3)</script>Nmero de periodos : <xsl:value-of select="detallista:paymentTerms/detallista:netPayment/detallista:paymentTimePeriod/detallista:timePeriodDue/detallista:value"/><br/>
        <script>EspaciosEnBlanco(2)</script>Descuentos por pago<br/>
        <script>EspaciosEnBlanco(3)</script>Tipo : <xsl:value-of select="detallista:paymentTerms/detallista:discountPayment/@discountType"/><br/>
        <script>EspaciosEnBlanco(3)</script>Porcentaje : <xsl:value-of select="detallista:paymentTerms/detallista:discountPayment/detallista:percentage"/><br/>
        </xsl:if>

        <xsl:if test="count(detallista:allowanceCharge) > 0">
        <br/>
		<script>EspaciosEnBlanco(1)</script>CARGOS O DESCUENTOS GLOBALES( <xsl:number value="count(detallista:allowanceCharge)"/> )<br/>        
		<xsl:for-each select="detallista:allowanceCharge">
  		  <script>EspaciosEnBlanco(2)</script><xsl:number/>. Tipo : <xsl:value-of select="@allowanceChargeType"/><br/>
		  <script>EspacioEnBlanco(3)</script>Imputacin : <xsl:value-of select="@settlementType"/><br/>
		  <script>EspacioEnBlanco(3)</script>Secuencia : <xsl:value-of select="@sequenceNumber"/><br/>
		  <script>EspacioEnBlanco(3)</script>Tipo especial : <xsl:value-of select="detallista:specialServicesType"/><br/>
		  <script>EspacioEnBlanco(3)</script>Base : <xsl:value-of select="detallista:monetaryAmountOrPercentage/detallista:rate/@base"/><br/>
		  <script>EspacioEnBlanco(3)</script>Porcentaje : <xsl:value-of select="detallista:monetaryAmountOrPercentage/detallista:rate/detallista:percentage"/><br/>
        </xsl:for-each>
        </xsl:if>
		
        <xsl:if test="count(detallista:lineItem) > 0">
        <br/><br/>
		<script>EspaciosEnBlanco(1)</script>PARTIDAS ( <xsl:number value="count(detallista:lineItem)"/> )<br/>        
		<xsl:for-each select="detallista:lineItem">
  		  <br/>
  		  <script>EspaciosEnBlanco(2)</script><xsl:number/>. PARTIDA : (<xsl:value-of select="@number"/>)<br/>
  		  <script>EspacioEnBlanco(3)</script>tipo : <xsl:value-of select="@type"/><br/>
  		  <script>EspacioEnBlanco(3)</script>PRODUCTO<br/>
		  <script>EspacioEnBlanco(4)</script>GTIN : <xsl:value-of select="detallista:tradeItemIdentification/detallista:gtin"/><br/>
		  <script>EspacioEnBlanco(4)</script>Descripcin : <xsl:value-of select="detallista:tradeItemDescriptionInformation/detallista:longText"/><br/>
		  <script>EspacioEnBlanco(4)</script>Idioma : <xsl:value-of select="detallista:tradeItemDescriptionInformation/@language"/><br/>
		  
		  <xsl:if test="count(detallista:alternateTradeItemIdentification) > 0">
		  <br/>
		  <script>EspacioEnBlanco(4)</script>IDENTIFICACION ADICIONAL ( <xsl:number value="count(detallista:alternateTradeItemIdentification)"/> )<br/>        
		  <xsl:for-each select="detallista:alternateTradeItemIdentification">
		    <script>EspacioEnBlanco(5)</script><xsl:number/>. Tipo : <xsl:value-of select="@type"/><br/>
		    <script>EspaciosEnBlanco(7)</script>Identificador : <xsl:value-of select="."/><br/>
		  </xsl:for-each>
		  </xsl:if>

		  <br/>
		  <script>EspacioEnBlanco(4)</script>CANTIDAD<br/>
		  <script>EspacioEnBlanco(5)</script>Cantidad : <xsl:value-of select="detallista:invoicedQuantity"/><br/>
		  <script>EspacioEnBlanco(5)</script>Unidad de medida : <xsl:value-of select="detallista:invoicedQuantity/@unitOfMeasure"/><br/>
		  
          <xsl:if test="count(detallista:aditionalQuantity) > 0">		  
		  <script>EspacioEnBlanco(5)</script>Cantidad Adicional ( <xsl:number value="count(detallista:aditionalQuantity)"/> )<br/>
		  <xsl:for-each select="detallista:aditionalQuantity">
		    <script>EspacioEnBlanco(6)</script><xsl:number/>. Tipo : <xsl:value-of select="@QuantityType"/><br/>
		    <script>EspaciosEnBlanco(8)</script>Cantidad : <xsl:value-of select="."/><br/>
		  </xsl:for-each>
		  </xsl:if>
		
  		  <br/>
  		  <script>EspacioEnBlanco(4)</script>Precio bruto : <xsl:value-of select="detallista:grossPrice/detallista:Amount"/><br/>
		  <script>EspacioEnBlanco(4)</script>Precio neto : <xsl:value-of select="detallista:netPrice/detallista:Amount"/><br/>
		  
		  <xsl:if test="count(detallista:AdditionalInformation) > 0">
		  <br/>
		  <script>EspacioEnBlanco(4)</script>INFORMACION ADICIONAL<br/>
		  <script>EspacioEnBlanco(5)</script>Referencia : <xsl:value-of select="detallista:AdditionalInformation/detallista:referenceIdentification"/><br/>
		  <script>EspacioEnBlanco(5)</script>Tipo : <xsl:value-of select="detallista:AdditionalInformation/detallista:referenceIdentification/@type"/><br/>
		  </xsl:if>

		  <xsl:if test="count(detallista:Customs) > 0">
		  <br/>
		  <script>EspacioEnBlanco(4)</script>INFORMACION ADUANERA ( <xsl:number value="count(detallista:Customs)"/> )<br/>        
		  <xsl:for-each select="detallista:Customs">
		    <script>EspacioEnBlanco(5)</script><xsl:number/>. Aduana<br/>
		    <script>EspaciosEnBlanco(8)</script>GLN : <xsl:value-of select="detallista:gln"/><br/>
		    <script>EspaciosEnBlanco(8)</script>Nombre : <xsl:value-of select="detallista:nameAndAddress/detallista:name"/><br/>
		    <script>EspaciosEnBlanco(7)</script>Pedimento<br/>
		    <script>EspaciosEnBlanco(8)</script>Nmero de pedimento : <xsl:value-of select="detallista:alternatePartyIdentification"/><br/>
		    <script>EspaciosEnBlanco(8)</script>Tipo : <xsl:value-of select="detallista:alternatePartyIdentification/@type"/><br/>
		    <script>EspaciosEnBlanco(8)</script>Fecha del pedimento : <xsl:value-of select="detallista:ReferenceDate"/><br/>
		  </xsl:for-each>
		  </xsl:if>
		
		  <xsl:if test="count(detallista:LogisticUnits) > 0">
		  <br/>
		  <script>EspacioEnBlanco(4)</script>INFORMACION LOGISTICA<br/>
		  <script>EspacioEnBlanco(5)</script>Identificacin : <xsl:value-of select="detallista:LogisticUnits/detallista:serialShippingContainerCode"/><br/>
		  <script>EspacioEnBlanco(5)</script>Tipo : <xsl:value-of select="detallista:LogisticUnits/detallista:serialShippingContainerCode/@type"/><br/>
		  </xsl:if>
		
		  <xsl:if test="count(detallista:palletInformation) > 0">
		  <br/>
		  <script>EspacioEnBlanco(4)</script>INFORMACION DE EMPAQUETADO<br/>
		  <script>EspacioEnBlanco(5)</script>Nmero de paquetes : <xsl:value-of select="detallista:palletInformation/detallista:palletQuantity"/><br/>
		  <script>EspacioEnBlanco(5)</script>Descripcin : <xsl:value-of select="detallista:palletInformation/detallista:description"/><br/>
		  <script>EspacioEnBlanco(5)</script>Tipo : <xsl:value-of select="detallista:palletInformation/detallista:description/@type"/><br/>
		  <script>EspacioEnBlanco(5)</script>Metdo de pago : <xsl:value-of select="detallista:palletInformation/detallista:transport/detallista:methodOfPayment"/><br/>
		  </xsl:if>
		
		  <xsl:if test="count(detallista:extendedAttributes) > 0">
		  <br/>
  		  <script>EspacioEnBlanco(4)</script>LOTE ( <xsl:number value="count(detallista:extendedAttributes/detallista:lotNumber)"/> )<br/>
		  <xsl:for-each select="detallista:extendedAttributes/detallista:lotNumber">
		    <script>EspacioEnBlanco(5)</script><xsl:number/>. Nmero : <xsl:value-of select="."/><br/>
		    <script>EspaciosEnBlanco(7)</script>Fecha de produccin : <xsl:value-of select="@productionDate"/><br/>
		  </xsl:for-each>
		  </xsl:if>
		
		  <xsl:if test="count(detallista:allowanceCharge) > 0">
		  <br/>
		  <script>EspacioEnBlanco(4)</script>CARGOS O DESCUENTOS ( <xsl:number value="count(detallista:allowanceCharge)"/> )<br/>
		  <xsl:for-each select="detallista:allowanceCharge">
		    <script>EspacioEnBlanco(5)</script><xsl:number/>. Tipo : <xsl:value-of select="@allowanceChargeType"/><br/>
		    <script>EspaciosEnBlanco(7)</script>Imputacin : <xsl:value-of select="@settlementType"/><br/>
		    <script>EspaciosEnBlanco(7)</script>Secuencia : <xsl:value-of select="@sequenceNumber"/><br/>
		    <script>EspaciosEnBlanco(7)</script>Tipo especial : <xsl:value-of select="detallista:specialServicesType"/><br/>
		    <script>EspaciosEnBlanco(7)</script>Porcentaje : <xsl:value-of select="detallista:monetaryAmountOrPercentage/detallista:percentagePerUnit"/><br/>
		    <script>EspaciosEnBlanco(7)</script>Importe : <xsl:value-of select="detallista:monetaryAmountOrPercentage/detallista:ratePerUnit/detallista:amountPerUnit"/><br/>
		  </xsl:for-each>
		  </xsl:if>

		  <xsl:if test="count(detallista:tradeItemTaxInformation) > 0">
		  <br/>
		  <script>EspacioEnBlanco(4)</script>IMPUESTOS ( <xsl:number value="count(detallista:tradeItemTaxInformation)"/> )<br/>
		  <xsl:for-each select="detallista:tradeItemTaxInformation">
		    <script>EspacioEnBlanco(5)</script><xsl:number/>.Tipo : <xsl:value-of select="detallista:taxTypeDescription"/>
		    <xsl:variable name="tpo" select="detallista:taxTypeDescription"/>
			<xsl:choose>
				<xsl:when test="$tpo = 'VAT'">
					<xsl:text> - Impuesto al valor agregado</xsl:text><br/>
				</xsl:when>
				<xsl:when test="$tpo = 'LAC'">
					<xsl:text> - Impuesto Sobre la Renta</xsl:text><br/>
				</xsl:when>
				<xsl:when test="$tpo = 'GST'">
					<xsl:text> - Impuesto Especial sobre Productos y Servicios</xsl:text><br/>
				</xsl:when>
			</xsl:choose>
		    <script>EspaciosEnBlanco(7)</script>Nmero de identificacin : <xsl:value-of select="detallista:referenceNumber"/><br/>
		    <script>EspaciosEnBlanco(7)</script>Porcentaje : <xsl:value-of select="detallista:tradeItemTaxAmount/detallista:taxPercentage"/><br/>
		    <script>EspaciosEnBlanco(7)</script>Monto : <xsl:value-of select="detallista:tradeItemTaxAmount/detallista:taxAmount"/><br/>
		    <script>EspaciosEnBlanco(7)</script>Identificador : <xsl:value-of select="detallista:taxCategory"/><br/>
		    </xsl:for-each>
		  </xsl:if>  

		  <br/>
          <script>EspacioEnBlanco(4)</script>TOTALES<br/>
		  <script>EspacioEnBlanco(5)</script>Importe bruto : <xsl:value-of select="detallista:totalLineAmount/detallista:grossAmount/detallista:Amount"/><br/>
		  <script>EspacioEnBlanco(5)</script>Importe neto : <xsl:value-of select="detallista:totalLineAmount/detallista:netAmount/detallista:Amount"/><br/>
		
		</xsl:for-each>
		</xsl:if>
		
		<br/>
		<script>EspaciosEnBlanco(1)</script>TOTAL<br/>
		<script>EspaciosEnBlanco(2)</script>Total : <xsl:value-of select="detallista:totalAmount/detallista:Amount"/><br/>

		<xsl:if test="count(detallista:TotalAllowanceCharge) > 0">
	    <br/>
		<script>EspaciosEnBlanco(1)</script>TOTAL CARGOS O DESCUENTOS ( <xsl:number value="count(detallista:TotalAllowanceCharge)"/> )<br/>
		<xsl:for-each select="detallista:TotalAllowanceCharge">
		<script>EspaciosEnBlanco(2)</script><xsl:number/>. Tipo : <xsl:value-of select="@allowanceOrChargeType"/><br/>
		<script>EspacioEnBlanco(3)</script>Tipo especial : <xsl:value-of select="detallista:specialServicesType"/><br/>
		<script>EspacioEnBlanco(3)</script>Monto : <xsl:value-of select="detallista:Amount"/><br/>
		</xsl:for-each>
		</xsl:if>
		
	</xsl:template>  
</xsl:stylesheet>