<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Detallistas Recepción Cadena Original
	:: By Victor Manuel Vargas Mosqueda :: -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:Comprobante="http://www.sat.gob.mx/cfd/3" xmlns:detallista="http://www.sat.gob.mx/detallista">
	<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<!-- Iniciamos el tratamiento de los campos de detallista -->
		<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/@documentStructureVersion"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:orderIdentification/detallista:referenceIdentification"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:orderIdentification/detallista:ReferenceDate"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:buyer/detallista:gln"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:seller/detallista:gln"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:seller/detallista:alternatePartyIdentification"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:totalAmount/detallista:Amount"/>
		<xsl:text>|</xsl:text>
		<xsl:variable name="hayDes" select="count(/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:TotalAllowanceCharge)"/>
		<xsl:if test="$hayDes &gt; 0"><!-- Si hay descuento, toma valores -->
			<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:TotalAllowanceCharge/detallista:specialServicesType"/>
			<xsl:text>|</xsl:text>
			<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/detallista:detallista/detallista:TotalAllowanceCharge/detallista:Amount"/>
			<xsl:text>|</xsl:text>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
